### Method

# Foundry WebIntent dup_uri

#### Declaration [src]

    char*
    foundry_web_intent_dup_uri (
      FoundryWebIntent* self
    )

#### Description [src]

Gets a copy of the URI string.

#### Return value

Type: `char*`

A newly allocated copy of the URI string, or `NULL` if no URI is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.